package com.sinosig.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import com.sinosig.core.external.filter.ORGSearchContext;

/**
 * 实体 [机构] 存储模型
 */
public interface ORG{

    /**
     * 机构标识
     */
    String getORGId();

    void setORGId(String oRGId);

    /**
     * 获取 [机构标识]脏标记
     */
    boolean getORGIdDirtyFlag();
    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();
    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();
    /**
     * 机构名称
     */
    String getORGName();

    void setORGName(String oRGName);

    /**
     * 获取 [机构名称]脏标记
     */
    boolean getORGNameDirtyFlag();
    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();
    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();
    /**
     * 父机构标识
     */
    String getPorgid();

    void setPorgid(String porgid);

    /**
     * 获取 [父机构标识]脏标记
     */
    boolean getPorgidDirtyFlag();
}
